#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           glaxnimate
Version:        0.5.80
Release:        %mkrel 2
Summary:        A simple vector graphics animation program
License:        BSD-2-Clause and CC-BY-SA-4.0 and CC0-1.0 and GPL-3.0-or-later and Unicode-TOU
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/glaxnimate/
Source0:        https://download.kde.org/unstable/glaxnimate/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6BreezeIcons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  doxygen
BuildRequires:  potrace-devel
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(zlib)


%description
Glaxnimate is an open-source vector animation and motion design
desktop application.

Features:
  ° Tweening
  ° Precompositions
  ° Time Stretching
  ° Motion Along Path
  ° Shape Modifiers
  ° Text Support
  ° Animated Gradients
  ° Raster to Vector
  ° Scripting Support

%files -f %{name}.lang
%doc *.md
%license LICENSES/*
%{_kf6_bindir}/glaxnimate
%{_kf6_applicationsdir}/org.kde.glaxnimate.desktop
%{_kf6_datadir}/glaxnimate/
%{_kf6_datadir}/config.kcfg/glaxnimate_settings.kcfg
%{_kf6_iconsdir}/hicolor/*/apps/*glaxnimate*.png
%{_kf6_iconsdir}/hicolor/scalable/apps/*glaxnimate*.svg
%{_kf6_metainfodir}/org.kde.glaxnimate.metainfo.xml

#---------------------------------------------

%prep
%autosetup

%build
%cmake_kf6 -DBUILD_WITH_QT6=ON \
           -DBUILD_STATIC_LIBS=ON \
           -DBUILD_SHARED_LIBS=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 0.5.80-2.mga10
+ Revision: 2154009
- rebuild for python 3.13

* Thu Feb 06 2025 daviddavid <daviddavid> 0.5.80-1.mga10
+ Revision: 2145686
- initial package glaxnimate

